Page MenuHomePhabricator

[AArch64][v8.5A] Add FRINT[32,64][Z,X] instructions
ClosedPublic

Authored by olista01 on Sep 25 2018, 7:16 AM.

Details

Summary

These are some new variants of the "Floating-point Round to Integral"
family of instructions, which round to the nearest floating-point value
which fits in a 32- or 64-bit integer.

Patch by Pablo Barrio!

Diff Detail

Event Timeline

olista01 created this revision.Sep 25 2018, 7:16 AM
t.p.northover added inline comments.Sep 26 2018, 8:01 AM
lib/Target/AArch64/AArch64InstrInfo.td
67

What's behind the "NNT" here? It's not a particularly obvious name.

olista01 added inline comments.Sep 27 2018, 2:24 AM
lib/Target/AArch64/AArch64InstrInfo.td
67

I've asked Pablo (who originally wrote this patch) and he can't remember what it stands for, so I agree we should change it so something more meaningful. How about HasFRInt3264?

olista01 updated this revision to Diff 167259.Sep 27 2018, 2:46 AM

Rename feature to FeatureFRInt3264.

t.p.northover accepted this revision.Sep 27 2018, 6:00 AM

Thanks. That makes more sense. LGTM!

This revision is now accepted and ready to land.Sep 27 2018, 6:00 AM
This revision was automatically updated to reflect the committed changes.